### Method

# Gtk PrintJob set_source_fd

#### Declaration [src]

    gboolean
    gtk_print_job_set_source_fd (
      GtkPrintJob* job,
      int fd,
      GError** error
    )

#### Description [src]

Make the `GtkPrintJob` send an existing document to the printing system.

The file can be in any format understood by the platforms printing system (typically PostScript, but on many platforms PDF may work too). See gtk_printer_accepts_pdf() and gtk_printer_accepts_ps().

This is similar to gtk_print_job_set_source_file(), but takes expects an open file descriptor for the file, instead of a filename.

#### Parameters

`fd` | `int`
| A file descriptor.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `FALSE` if an error occurred.